/*
    JCR - Jabber Component Runtime
    Copyright (C) 2003 Paul Curtis

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

$Id: test.c,v 1.2 2003/10/26 12:35:20 pcurtis Exp $

*/

#include "jcomp.h"
#include <stdio.h>
jcr_instance jcr;

int main() {
  xmlnode f, g;
  pool p;
  jid j;
  jcr = (jcr_instance)malloc(sizeof(_jcr_instance));

  p = pool_new();
  j = jid_new(p, "foo@bar.com");
  jcr->spool_dir = "/tmp/spool";

  f = xmlnode_new_tag("foo");
  g = xmlnode_new_tag("one");
  xmlnode_insert_tag_node(f, g);
  xdb_set(NULL, j, "test:ns2", f);

  f = xdb_get(NULL, j, "test:ns2");
  g = xmlnode_new_tag("two");
  xmlnode_insert_tag_node(f, g);
  xdb_set(NULL, j, "test:ns2", f);






  f = xdb_get(NULL, j, "test:ns2");
  if (f)
    printf("\n\n%s\n", xmlnode2str(f));

  return 0;
}
